
TYPO3.Flow - Feature # 54092

Status: Resolved Priority: Should have
Author: Carsten Bleicker Category: MVC
Created: 2013-11-29 Assigned To:
Updated: 2014-11-26 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Respect implementation of JsonSerializable Interface
Description

If an object implements JsonSerializable interface it should be respected in JsonView.

Associated revisions
Revision 78efef80 - 2014-11-26 10:35 - Carsten Bleicker

[FEATURE] Respect implementation of JsonSerializable interface

The JsonView will call jsonSerialize() in transformValue()
for objects implementing the JsonSerializable interface. This is useful
if a domain model or data transfer object needs custom serialization
logic for JSON.

The implementation also works in PHP 5.3 where the JsonSerializable
interface is not yet present and will be ignored.

Change-Id: I77936ed284c55d0549b71b3739b76491bbdd9bb6
Releases: master, 2.3
Resolves: #54092

Revision ab32c306 - 2014-11-26 10:35 - Carsten Bleicker

[FEATURE] Respect implementation of JsonSerializable interface

The JsonView will call jsonSerialize() in transformValue()
for objects implementing the JsonSerializable interface. This is useful
if a domain model or data transfer object needs custom serialization
logic for JSON.

Change-Id: I77936ed284c55d0549b71b3739b76491bbdd9bb6
Releases: master, 2.3
Resolves: #54092

History
#1 - 2013-11-29 17:13 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25766

#2 - 2014-06-06 20:51 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25766

#3 - 2014-06-07 14:18 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25766

#4 - 2014-06-07 15:27 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25766

#5 - 2014-06-10 15:15 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/25766

#6 - 2014-11-25 15:40 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/25766

#7 - 2014-11-25 15:40 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/25766

#8 - 2014-11-26 10:35 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/25766

#9 - 2014-11-26 10:35 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/34624

#10 - 2014-11-26 10:35 - Gerrit Code Review
Patch set 9 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/25766

#11 - 2014-11-26 10:42 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version set to 2.x
